"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="6"
"COUNT"="4"
"UIPATH"="Hardware\Video Cards\ATI 128"
"NAME"="General Settings"
"VERSION"="1.01"
"LANGUAGE"="VBScript"
"TEXT 1"="Display ATI icon on desktop"
"TEXT 2"="Enable Pentium III(TM) commands"
"TEXT 3"="Enable 2D acceleration"
"TEXT 4"="Enable 3D acceleration"
"DESCRIPTION 1"="Some options for your ATI128 card."
"DESCRIPTION 2"="If ATI icon is enabled, it displays the ATI icon. 
"DESCRIPTION 3"="If Pentium III command are enabled it may improves the performance.  Enable this if ONLY if you have a Pentium III processor or higher. Disable it if you have any other CPU (e.g. AMD, Cyrix etc.)
"AUTHOR"="Xteq Systems"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="For more information, go to http://www.xteq.com or write to TeXHeX@xteq.com."
"COMMENT 2"="Thanks to CptSiskoX for the settings and the idea."


'-- ONLY CHANGE THE LINES WITHOUT ' at the beginning !!
'
'*** Xteq Systems "On/Off" Plug-in Template ***
'*** ID_XQ_PT1 V1.00 

 ' how many settings are in this file (change "COUNT=" also!) 
 CountSettings=4

 ' does this plug-in requires the user to logoff or to restart his PC?
 bRequireLogoff=0
 bRequireRestart=1
 
 ' if this path exists in the registry, the plug-in will be enabled. if it does
 ' not exist, the plug-in will be disable set to ="" to ignore this check and alway
 ' enable the plug-in, regardless if the path exists or not
 sCheckPath="HKLM\Software\ATI Technologies\Driver\"


 ' Settings for Value # 1
 sV1_Path="HKLM\Software\ATI Technologies\Desktop\EnableIcon"
 sV1_OnValue="1"      'what is the "ON" value (e.g. "1", "True", "On" etc.)
 sV1_OffValue="0"      'what is the "OFF" value (e.g. "0", "False", "Off" etc.)
 sV1_DataType="1"     'datatype of this value (REG_STRING=1, REG_DWORD=2, REG_BINARY=3, REG_EXPAND_SZ=4)

 ' Settings for Value # 2
 sV2_Path="HKLM\Software\ATI Technologies\Driver\ddhal\EnableKatmai" 
 sV2_OnValue="1"      
 sV2_OffValue="0"      
 sV2_DataType="1"     

 ' Settings for Value # 3
 sV3_Path="HKEY_LOCAL_MACHINE\Software\ATI Technologies\CDS\0000\0\ASIC\2D Acceleration"
 sV3_OnValue="Yes (0x00000001)"      'what is the "ON" value (e.g. "1", "True", "On" etc.)
 sV3_OffValue="No (0x00000000)"      'what is the "OFF" value (e.g. "0", "False", "Off" etc.)
 sV3_DataType="1"     'datatype of this value (REG_STRING=1, REG_DWORD=2, REG_BINARY=3, REG_EXPAND_SZ=4)

 ' Settings for Value # 4
 sV4_Path="HKEY_LOCAL_MACHINE\Software\ATI Technologies\CDS\0000\0\ASIC\3D Acceleration" 
 sV4_OnValue="Yes (0x00000001)"      
 sV4_OffValue="No (0x00000000)"      
 sV4_DataType="1"     


 ' Settings for Value # 5
 sV5_Path="HKCU\Software\Hypernix\Gooey\Network\AllwaysOntop" 
 sV5_OnValue="1"      
 sV5_OffValue="0"      
 sV5_DataType="2"     

'*** Xteq Systems "On/Off" Plug-in Template ***
'
'-- STOP CHANGES HERE !!



Sub Plugin_Initialize 
 If Len(sCheckPath)>0 then
    if left(sCheckPath,1)<>"\" then sCheckPath=sCheckPath & "\"

    b=RegPathExists(sCheckPath)
    if b=true then
       Call ReadSettings
    else
       Call Disable
    end if  
 else
    Call ReadSettings
 end if
End Sub

Sub ReadSettings
                           Call ReadSettingsEx(1,sV1_Path,sV1_OnValue)
  if CountSettings>=2 then Call ReadSettingsEx(2,sV2_Path,sV2_OnValue)
  if CountSettings>=3 then Call ReadSettingsEx(3,sV3_Path,sV3_OnValue)
  if CountSettings>=4 then Call ReadSettingsEx(4,sV4_Path,sV4_OnValue)
  if CountSettings>=5 then Call ReadSettingsEx(5,sV5_Path,sV5_OnValue)
End Sub

Sub ReadSettingsEx(ID,REGP,VALON)
 s=RegReadValue(REGP)
 'Call DebugMsg("VAL:" & s & " ID:" & ID & " VAL_ON:" & VALON)
 if CStr(s)=VALON then
    Call SetUIElement(ID,true)
 End if 
End Sub


Sub Plugin_CheckData(ElementIndex)
End Sub


Sub Plugin_Apply(ElementIndex,ElementSubIndex)
                          Call WriteSettings(GetUIElement(1),sV1_Path,sV1_OnValue,sV1_OffValue,sV1_DataType)
 if CountSettings>=2 then Call WriteSettings(GetUIElement(2),sV2_Path,sV2_OnValue,sV2_OffValue,sV2_DataType)
 if CountSettings>=3 then Call WriteSettings(GetUIElement(3),sV3_Path,sV3_OnValue,sV3_OffValue,sV3_DataType)
 if CountSettings>=4 then Call WriteSettings(GetUIElement(4),sV4_Path,sV4_OnValue,sV4_OffValue,sV4_DataType)
 if CountSettings>=5 then Call WriteSettings(GetUIElement(5),sV5_Path,sV5_OnValue,sV5_OffValue,sV5_DataType)


 if bRequireLogoff then Logoff()
 if bRequireRestart then Restart()
End Sub

Sub WriteSettings(CUR_VAL,REGP,ON_VAL,OFF_VAL,DAT_TYPE)
  if CUR_VAL=true then
     Call RegWriteValue(REGP,ON_VAL,DAT_TYPE)
  else
     Call RegWriteValue(REGP,OFF_VAL,DAT_TYPE)
  end if
End Sub


Sub Plugin_Terminate 
End Sub



