"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="2"
"COUNT"="1"
"UIPATH"="Appearance\General\Effects"
"NAME"="Cursor Blink Rate"
"VERSION"="1.20"
"LANGUAGE"="VBScript"
"TEXT 1"="Blink Rate"
"DESCRIPTION 1"="The cursor in a text field has a specified blink rate. The default value is "500", the fastest blink rate is "1" and if it shouldn't blink, enter "65535"."
"DESCRIPTION 2"="NOTE: Setting the variable less than 5 might make the cursor disappear on some systems.
"AUTHOR"="Xteq Systems"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="For more information, go to http://www.xteq.com or write to TeXHeX@xteq.com."

'Declaration of some constants
sP="HKCU\Control Panel\Desktop\"
sV1="CursorBlinkRate"

'Called when the Plugin is started
Sub Plugin_Initialize
 i=RegReadValue(sp & sv1)
 SetUIElement 1,i 
End Sub

'Called when the Plugin should validate the Data the user has entered
Sub Plugin_CheckData(ElementIndex)
 i=GetUIElement(1)

 if IsNumeric(i) then
  if i<1 or i>65535 then
   Call DataInvalid("Please enter a value between 1 and 65535!")
  end if
 else
  Call DataInvalid("Please enter a value between 1 and 65535!")
 end if
End Sub

'Called when the Plugin should apply the changes
Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 i=GetUIElement(1)
 Call RegWriteValue(sp & sv1,i,1)

 Call Restart
End Sub

'Called when the Plugin is about to be removed from memory
Sub Plugin_Terminate
End Sub
