"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="6"
"COUNT"="3"
"UIPATH"="Appearance\Explorer\Files"
"NAME"="Special File Icons"
"VERSION"="1.35"
"LANGUAGE"="VBScript"
"TEXT 1"="Display *.BMP files as mini-preview"
"TEXT 2"="Display *.CPL files as icon"
"TEXT 3"="Display *.DLL files as icon"
"DESCRIPTION 1"="Activating the first option will display BMP files (Bitmap Pictures) as mini-preview. This might slow down your computer if you are viewing a directory with many pictures!"
"DESCRIPTION 2"="Activating option two and three will display the icon inside the files rather than the default Windows icon."
"DESCRIPTION 3"="Note: DO NOT activate 'Display BMP files as mini-preview' if you are using IE 5 with Active Desktop installed. This option may crash your Explorer in this case."
"AUTHOR"="Xteq Systems"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="For more information, go to http://www.xteq.com or write to TeXHeX@gmx.net."


'Called when the Plugin is started
SUB Plugin_Initialize
  s=RegReadValue("HKCR\Paint.Picture\DefaultIcon\@")
  if s="%1" then SetUIElement 1,true

  s=RegReadValue("HKCR\cplfile\DefaultIcon\@")
  if s="%1" then SetUIElement 2,true

  s=RegReadValue("HKCR\dllfile\DefaultIcon\@")
  if s="%1" then SetUIElement 3,true
END SUB

'Called when the Plugin should validate the Data the user has entered
SUB Plugin_CheckData(ElementIndex)
END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 b=GetUIElement(1)
 Call DoChange(b,"HKCR\Paint.Picture\")

 b=GetUIElement(2)
 Call DoChange(b,"HKCR\cplfile\")

 b=GetUIElement(3)
 Call DoChange(b,"HKCR\dllfile\")
END SUB


'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
END SUB


Sub DoChange(Activate, RegPath)
 if Activate=true then
  'save backup
  s=RegReadValue(RegPath & "DefaultIcon\@")

  if s<>"%1" then
   Call RegWriteValue(RegPath & "DefaultIcon\K/oS X-Setup Backup",s,1)

   'apply changes
   Call RegWriteValue(RegPath & "DefaultIcon\@","%1",1)
  end if
 else
  'restore backup
  s=RegReadValue(RegPath & "DefaultIcon\K/oS X-Setup Backup")

  if IsEmpty(s)=false then
   Call RegWriteValue(RegPath & "DefaultIcon\@",s,1)
   'remove backup
   Call RegDeleteValue(RegPath & "DefaultIcon\K/oS X-Setup Backup") 
  else
   'wooops! Something is wrong!
   Call RegWriteValue(RegPath & "DefaultIcon\@","",1)
   'Call MsgError("Error while trying to remove function for <" & RegPath & "> - no backup could be found!")
  end if
 end if

end Sub
