"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="6"
"COUNT"="1"
"UIPATH"="System\Security"
"NAME"="Shell Extensions"
"VERSION"="1.00"
"LANGUAGE"="VBScript"
"TEXT 1"="Allow only approved shell extensions"
"DESCRIPTION 1"="If this option is set, Windows will only allow approved extensions to be executed. This settings is mainly for super-high-security computers."
"DESCRIPTION 2"="Which extension is considered to be "approved" is configured below [HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Shell Extensions\Approved]."
"DESCRIPTION 3"="More information can be found at the MS KB: Q216384."
"AUTHOR"="Xteq Systems"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="For more information, go to http://www.xteq.com or write to TeXHeX@xteq.com."


'The CLSIDs for approved shell extensions are registered under the registry key: 
'[HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Shell Extensions\Approved] 
sPath="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\EnforceShellExtensionSecurity"
'EnforceShellExtensionSecurity is off when the value is zero or is removed, and on when the value is 1. 

Sub Plugin_Initialize 
 If GetWinVer=2 then
    i=RegReadValue(sPath)
    if i=1 then SetUIElement 1,true
 else
    Call Disable()
 end if

End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 b=GetUIElement(1)
 if b=true then
    Call RegWriteValue(sPath,1,2) 
 else
    If IsEmpty(RegReadValue(sPath))=false then
       Call RegDeleteValue(sPath)
    end if
 end if
End Sub


Sub Plugin_Terminate 
End Sub



