"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="6"
"COUNT"="4"
"UIPATH"="Appearance\Start menu\Visible Items"
"NAME"="Visible Items #2"
"VERSION"="1.41"
"LANGUAGE"="VBScript"
"AUTHOR"="Xteq Systems"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"TEXT 1"="Show user-created folders in Start menu"
"TEXT 2"="Show "Find..." in Start menu"
"TEXT 3"="Show "Log Off <Username>" in Start menu"
"TEXT 4"="Show common groups in Start->Programs"
"DESCRIPTION 1"="Use this plug-in to show or hide some of the items in the Start menu."
"DESCRIPTION 2"="User-created folder are folders that are created in the start menu folder (e.g. "C:\Windows\Startmenu") and are normally displayed at the top of "Programs"."
"DESCRIPTION 3"="Context menus in the Start menu are only available if you are using Windows 98 or Internet Explorer 4 with ActiveDesktop."
"DESCRIPTION 4"="NOTE #1: Disabling "Find..." will also disable the context menu (Right-click) of the START button."
"DESCRIPTION 5"="NOTE #2: Show "Log Off <Username>" might not work if you are using Windows 98 with IE 5 installed."
"COMMENT 1"="For more information, go to http://www.xteq.com or write to TeXHeX@xteq.com."
"COMMENT 2"=" "
"COMMENT 3"="Thanks to Jon-Roar Selenius (jseleniu@online.no) for spotting the "Recent Documents always empty" bug."
"COMMENT 4"="Thanks to CptSiskoX for the "Show Log Off" Win98 note."
"COMMENT 5"="Thanks to Bill Hudacek (hudacek@us.ibm.com) for spotting the NoFind = NoRightMouse bug.

'Declaration of some constants
sP="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\"

'Called when the Plugin is started
SUB Plugin_Initialize
 i=RegReadValue(sp&"NoStartMenuSubFolders") 
 If IsEmpty(i) or i=0 then SetUIElement 1,true

 i=RegReadValue(sp&"NoFind") 
 if IsEmpty(i) or i=0 then SetUIElement 2,true

 i=RegReadValue(sp&"NoLogOff") 'Binary
 if IsEmpty(i) or i=0 then SetUIElement 3,true

 i=RegReadValue(sp&"NoCommonGroups") 
 if IsEmpty(i) or i=0 then SetUIElement 4,true 

END SUB

'Called when the Plugin should validate the Data the user has entered
SUB Plugin_CheckData(ElementIndex)
END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 Call WriteIt(1,sp&"NoStartMenuSubFolders")
 Call WriteIt(2,sp&"NoFind")
 Call WriteIt(4,sp&"NoCommonGroups")

 b=GetUIElement(3)
 if b=true then
    s=RegReadValue(sp&"NoLogOff")
    if IsEmpty(s)=false then
       Call RegDeleteValue(sp&"NoLogOff")
    end if
 else
  Call RegWriteValue(sp&"NoLogOff","01000000",3)
 end if
 


 Call Logoff
END SUB


Sub WriteIt(ITM,PATH)
  b=GetUIElement(ITM)
  if b=true then
     s=RegReadValue(PATH)
     if IsEmpty(s)=false then
        Call RegDeleteValue(Path)
     end if
  else
    Call RegWriteValue(PATH,1,2)
  end if
End Sub


'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
END SUB
