"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="2"
"COUNT"="1"
"UIPATH"="Appearance\General\Effects"
"NAME"="Window Border Width"
"VERSION"="1.39"
"LANGUAGE"="VBScript"
"TEXT 1"="Border Width"
"DESCRIPTION 1"="You can use this setting to specify the width of the border (in pixels) around every window."
"DESCRIPTION 2"="The smallest size is 1, the default is 3 and the maximum is 49."
"AUTHOR"="Xteq Systems"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="For more information, go to http://www.xteq.com or write to TeXHeX@xteq.com."

sP="HKCU\Control Panel\Desktop\BorderWidth"

'Called when the Plugin is started
SUB Plugin_Initialize
 i=RegReadValue(sP)
 if IsEmpty(i) then
    Call SetUIElement(1,3)   
 else
    Call SetUIElement(1,i)
 end if

END SUB

'Called when the Plugin should validate the Data the user has entered
SUB Plugin_CheckData(ElementIndex)
END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 i=GetUIElement(1)
 if i<1 or i>49 then
    Call MsgError("Please use a value bigger than 1 and smaller than 49")
 else
    Call RegWriteValue(sP,i,1)
    Call Restart
 end if

END SUB

'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
END SUB
