"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="6"
"COUNT"="4"
"UIPATH"="Appearance\Start Menu\Windows 2000"
"NAME"="Cascade Options"
"VERSION"="1.00"
"LANGUAGE"="VBScript"
"TEXT 1"="Cascade "My Documents""
"TEXT 2"="Cascade "Network and Dial-Up""
"TEXT 3"="Cascade "Control Panel""
"TEXT 4"="Cascade "Printers""
"TEXT 4"=""
"DESCRIPTION 1"="Some options for the apperance of the Windows 2000 Start menu."
"DESCRIPTION 2"="Cascade means: make the items behave like menus with submenus instead of just opening the related folder. 
"AUTHOR"="Xteq Systems"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="For more information, go to http://www.xteq.com"
"COMMENT 2"="Thanks to Pierre for the settings and the idea."



'-- ONLY CHANGE THE LINES WITHOUT ' at the beginning !!
'
'*** Xteq Systems "On/Off" Plug-in Template ***
'*** ID_XQ_PT1 V1.00 

 ' how many settings are in this file (change "COUNT=" also!) 
 CountSettings=4

 ' does this plug-in requires the user to logoff or to restart his PC?
 bRequireLogoff=1
 bRequireRestart=0 
 
 ' if this path exists in the registry, the plug-in will be enabled. if it does
 ' not exist, the plug-in will be disable set to ="" to ignore this check and alway
 ' enable the plug-in, regardless if the path exists or not
 sCheckPath="HKCU\Software\Microsoft\Windows\CurrentVersion\Advanced"


 ' Settings for Value # 1
 sV1_Path="HKCU\Software\Microsoft\Windows\CurrentVersion\Advanced\CascadeMyDocuments" 
 sV1_OnValue="YES"      'what is the "ON" value (e.g. "1", "True", "On" etc.)
 sV1_OffValue="NO"     'what is the "OFF" value (e.g. "0", "False", "Off" etc.)
 sV1_DataType="1"     'datatype of this value (REG_STRING=1, REG_DWORD=2, REG_BINARY=3, REG_EXPAND_SZ=4)

 ' Settings for Value # 2
 sV2_Path="HKCU\Software\Microsoft\Windows\CurrentVersion\Advanced\CascadeNetworkConnections" 
 sV2_OnValue="YES"      
 sV2_OffValue="NO"      
 sV2_DataType="1"     

 ' Settings for Value # 3
 sV3_Path="HKCU\Software\Microsoft\Windows\CurrentVersion\Advanced\CascadeControlPanel" 
 sV3_OnValue="YES"      
 sV3_OffValue="NO"      
 sV3_DataType="1"     

 ' Settings for Value # 4
 sV4_Path="HKCU\Software\Microsoft\Windows\CurrentVersion\Advanced\CascadePrinters" 
 sV4_OnValue="YES"      
 sV4_OffValue="NO"      
 sV4_DataType="1"     

 ' Settings for Value # 5
 sV5_Path="HKCU\Software\Hypernix\Gooey\Network\AllwaysOntop" 
 sV5_OnValue="1"      
 sV5_OffValue="0"      
 sV5_DataType="2"     

'*** Xteq Systems "On/Off" Plug-in Template ***
'
'-- STOP CHANGES HERE !!



Sub Plugin_Initialize 
 If Len(sCheckPath)>0 then
    if left(sCheckPath,1)<>"\" then sCheckPath=sCheckPath & "\"

    b=RegPathExists(sCheckPath)
    if b=true then
       Call ReadSettings
    else
       Call Disable
    end if  
 else
    Call ReadSettings
 end if
End Sub

Sub ReadSettings
                           Call ReadSettingsEx(1,sV1_Path,sV1_OnValue)
  if CountSettings>=2 then Call ReadSettingsEx(2,sV2_Path,sV2_OnValue)
  if CountSettings>=3 then Call ReadSettingsEx(3,sV3_Path,sV3_OnValue)
  if CountSettings>=4 then Call ReadSettingsEx(4,sV4_Path,sV4_OnValue)
  if CountSettings>=5 then Call ReadSettingsEx(5,sV5_Path,sV5_OnValue)
End Sub

Sub ReadSettingsEx(ID,REGP,VALON)
 s=RegReadValue(REGP)
 'Call DebugMsg("VAL:" & s & " ID:" & ID & " VAL_ON:" & VALON)
 if CStr(s)=VALON then
    Call SetUIElement(ID,true)
 End if 
End Sub


Sub Plugin_CheckData(ElementIndex)
End Sub


Sub Plugin_Apply(ElementIndex,ElementSubIndex)
                          Call WriteSettings(GetUIElement(1),sV1_Path,sV1_OnValue,sV1_OffValue,sV1_DataType)
 if CountSettings>=2 then Call WriteSettings(GetUIElement(2),sV2_Path,sV2_OnValue,sV2_OffValue,sV2_DataType)
 if CountSettings>=3 then Call WriteSettings(GetUIElement(3),sV3_Path,sV3_OnValue,sV3_OffValue,sV3_DataType)
 if CountSettings>=4 then Call WriteSettings(GetUIElement(4),sV4_Path,sV4_OnValue,sV4_OffValue,sV4_DataType)
 if CountSettings>=5 then Call WriteSettings(GetUIElement(5),sV5_Path,sV5_OnValue,sV5_OffValue,sV5_DataType)


 if bRequireLogoff then Logoff()
 if bRequireRestart then Restart()
End Sub

Sub WriteSettings(CUR_VAL,REGP,ON_VAL,OFF_VAL,DAT_TYPE)
  if CUR_VAL=true then
     Call RegWriteValue(REGP,ON_VAL,DAT_TYPE)
  else
     Call RegWriteValue(REGP,OFF_VAL,DAT_TYPE)
  end if
End Sub


Sub Plugin_Terminate 
End Sub



