"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="6"
"COUNT"="2"
"UIPATH"="Hardware\NT DMA Hard-disc"
"NAME"="DMA Mode"
"VERSION"="1.21"
"LANGUAGE"="VBScript"
"TEXT 1"="Activate DMA mode for Port One"
"TEXT 2"="Activate DMA mode for Port Two"
"DESCRIPTION 1"="Use this settings to activate or deactivate the DMA mode for your hard-disc(s). If you are using DMA, your hard-disc will be much faster than in default mode."
"DESCRIPTION 2"="After activating this setting, you need to restart your PC. If the setting is enabled after this restart, your hard-disc does support DMA."
"DESCRIPTION 3"="If the setting is deactivated again, your hard-disc does not support DMA."
"AUTHOR"="Xteq Systems"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="For more information, go to http://www.xteq.com or write to TeXHeX@xteq.com."



'//I like REG files... ;)
'[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\atapi\Parameters\Device0]
'"DriverParameter"="DmaDetectionLevel = 0x1;"
'
'//Old Stuff...
'sOK="YES, DMA is enabled!"
'sNO="DMA is NOT enabled"
'sNP="Port does not exists"


sParaPath="HKLM\SYSTEM\CurrentControlSet\Services\atapi\Parameters\Device"
sParaValueName="DriverParameter"
sParaValue="DmaDetectionLevel = 0x1;"


sPath="HKLM\Hardware\DeviceMap\Scsi\Scsi Port "
sValue="\DMAEnabled"

'Called when the Plugin is started
SUB Plugin_Initialize
 if GetWinVer=2 then
  Call CheckPort(1)
  Call CheckPort(2)
 else
  Call Disable
 end if
END SUB


Sub CheckPort(ID)
 s=sPath & ID-1 & "\"
 'Call DebugMsg(s)

 if RegPathExists(s) then
  if RegReadValue(s & sValue)=1 then
   SetUIElement ID,True 'sOK
  else
   SetUIElement ID,False 'sNO
  end if
 else
  SetUIElement ID,False 'sNP
 end if
End Sub


'Called when the Plugin should validate the Data the user has entered
SUB Plugin_CheckData(ElementIndex)
END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 b=GetUIElement(1)
 if b=True then
  Call EnableDMA(0)
 else
  Call DisableDMA(0)
 end if

 b=GetUIElement(2)
 if b=True then
  Call EnableDMA(1)
 else
  Call DisableDMA(1)
 end if


 Call MsgWarning("Changes have been applied. You should restart your computer NOW because the changes you have made will not be visible until you have restarted.")
 Call Restart
END SUB


Sub EnableDMA(DevID)
 s=sParaPath & DevID & "\"
 s=s & sParaValueName

 Call RegWriteValue(s,sParaValue,1)
End Sub

Sub DisableDMA(DevID)
 s=sParaPath & DevID & "\"
 s=s & sParaValueName

 s2=RegReadValue(s)

 if IsEmpty(s2)=false then
  Call RegDeleteValue(s)
 end if
End Sub



'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
END SUB


