"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="2"
"COUNT"="2"
"UIPATH"="Network\Server"
"NAME"="File Lock Behavior"
"VERSION"="1.0"
"LANGUAGE"="VBScript"
"TEXT 1"="Retry Count"
"TEXT 2"="Retry Delay"
"DESCRIPTION 1"="If a user tries to open a file on this computer, and the file is locked by another user, the server retries to open the file before returning a "FILE IS ALREADY IN USE BY ANOTHER PERSON" to the user."
"DESCRIPTION 2"="How often this should be done ("Retry Count") and how long the server should wait between each try ("Retry Delay") can be configured here."
"DESCRIPTION 3"="To have the default values restored, clear both fields. "
"AUTHOR"="Xteq Systems"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="For more information, go to http://www.xteq.com or write to TeXHeX@xteq.com."


sP="HKLM\SYSTEM\CurrentControlSet\Services\LanmanServer\Parameters\"
sV1="SharingViolationRetries"
sV2="SharingViolationDelay"
Sub Plugin_Initialize 
 If GetWinVer=2 then 
    i=RegReadValue(sP & sV1)
    SetUIElement 1,i

    i=RegReadValue(sP & sV2)
    SetUIElement 2,i
 else
    Disable
 end if
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 Call SetVal(sP & sV1,1)
 Call SetVal(sP & sV2,2)
End Sub

Sub SetVal(PAT,IDX)
 i=GetUIElement(IDX)
 if i="" then
    'Delete Value   
    i=RegReadValue(PAT)

    if not isEmpty(i) then 
       Call RegDeleteValue(PAT)
    end if
 else
    'Set Value
    Call RegWriteValue(PAT,i,2)
 end if
End Sub



Sub Plugin_Terminate 
End Sub
