"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="7"
"COUNT"="4"
"UIPATH"="Network\Security\NTLM v2 Authentication"
"NAME"="Client Options"
"VERSION"="1.12"
"LANGUAGE"="VBScript"
"TEXT 1"="Level 0: Never use NTLM v2 authentication"
"TEXT 2"="Level 1: Use NTLM v2 only if the server supports it"
"TEXT 3"="Level 2: Use NTLM, but not NTLM v2"
"TEXT 4"="Level 3 (most secure): Use *ONLY* NTLM v2"
"WARNING"="Setting this option to an incorrect value can prevent you from connecting to your network! Only change it if you are 100% sure what you are doing!"
"DESCRIPTION 1"="With Windows NT SP 4, NT offers the new "NTLM v2" authentication which is much safer than LM (Windows 3.1, 9x) or NTLM (NT 3.51, NT 4.0 SP1-3) authentication because of 128 bit DES keys."
"DESCRIPTION 2"="However, both your computer and the server must have SP4 or the connection might fail. If you are unsure, use "Level 1" which will use NTLM v2 for servers that support it and the old NTLM or LM for servers that don't. "
"DESCRIPTION 3"=""Level 2" will ALWAYS use the stronger NTLM authentication, but will not use NTLM v2 (fails when connecting to Win 3.x or Win 9x servers)."
"DESCRIPTION 4"=""Level 3" is the most secure because it only uses NTLM v2 but if the server has no SP4 installed, the connection will fail. "
"DESCRIPTION 5"="For more information, please see Microsoft KB Q147706"
"AUTHOR"="Xteq Systems"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="For more information, go to http://www.xteq.com or write to TeXHeX@xteq.com."


sPath="HKLM\System\CurrentControlSet\Control\LSA\LMCompatibilityLevel"


Sub Plugin_Initialize 
 i=RegReadValue(sPath)

 if IsEmpty(i) or i=0 then SetUIElement 1,true
 if i=1 then SetUIElement 2,true
 if i=2 then SetUIElement 3,true
 if i=3 then SetUIElement 4,true
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 i=-1

 if GetUiElement(1)=true then i=0
 if GetUiElement(2)=true then i=1
 if GetUiElement(3)=true then i=2
 if GetUiElement(4)=true then i=3

 if i>-1 then
    Call RegWriteValue(sPath,i,2)
 end if
End Sub

Sub Plugin_Terminate 
End Sub
