"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="1"
"COUNT"="2"
"UIPATH"="System\Startup\"
"NAME"="Win16 startup commands"
"VERSION"="1.31"
"LANGUAGE"="VBScript"
"TEXT 1"="LOAD command"
"TEXT 2"="RUN command"
"TEXT 3"="win.ini LOAD"
"TEXT 4"="win.ini RUN"
"DESCRIPTION 1"="In Windows 3.x (Win 16bit) the only way to start a program automatically when Windows loads were the commands "RUN" and "LOAD" in WIN.INI. "
"DESCRIPTION 2"="Although Windows now supports many other options to do the same, RUN and LOAD are still supported and some programs keep on using it."
"DESCRIPTION 3"="To make the confusion complete, Windows supports these commands in BOTH registry and win.ini."
"DESCRIPTION 4"="Note #1: Use only short file names (8+3), no spaces!"
"DESCRIPTION 5"="Note #2: To execute two or more commands, separate the commands using a single space."
"AUTHOR"="Xteq Systems"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="For more information, go to http://www.xteq.com or write to TeXHeX@xteq.com"


sPath="HKCU\Software\Microsoft\Windows NT\CurrentVersion\Windows\"
sV1="LOAD"
sV2="RUN"

sFile="WIN.INI"
sFileSec="WINDOWS"

Sub Plugin_Initialize 
 s=RegReadValue(sPath&sV1)
 if len(s)=0 then s=INIReadValue(sFile,sFileSec,sV1)
 Call SetUIElement(1,s)

 s=RegReadValue(sPath&sV2)
 if len(s)=0 then s=INIReadValue(sFile,sFileSec,sV2)
 Call SetUIElement(2,s)
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 s=GetUIElement(1)
 Call RegWriteValue(sPath&sV1,s,1)

 s=GetUIElement(2)
 Call RegWriteValue(sPath&sV2,s,1)


 'Seems like unnecessary, but these commands ensure that the registry- and
 'INI commands match...

 s=GetUIElement(1)
 Call INIWriteValue(sFile,sFileSec,sV1,s)

 s=GetUIElement(2)
 Call INIWriteValue(sFile,sFileSec,sV2,s)



 Call Restart
End Sub

Sub Plugin_Terminate 
End Sub
